FreeMat

- Main Page
- Related Pages

vtkUnstructuredGridToPolyDataFilter

Section: Visualization Toolkit Filtering Classes

# Usage

vtkUnstructuredGridToPolyDataFilter is an abstract filter class whose subclasses take as input datasets of type vtkUnstructuredGrid and generate polygonal data on output.

To create an instance of class vtkUnstructuredGridToPolyDataFilter, simply invoke its constructor as follows

      obj = vtkUnstructuredGridToPolyDataFilter

# Methods

The class vtkUnstructuredGridToPolyDataFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkUnstructuredGridToPolyDataFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkUnstructuredGridToPolyDataFilter = obj.NewInstance ()`
- `vtkUnstructuredGridToPolyDataFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetInput (vtkUnstructuredGrid input)` - Set / get the input data or filter.
- `vtkUnstructuredGrid = obj.GetInput ()` - Set / get the input data or filter.
- `obj.ComputeInputUpdateExtents (vtkDataObject output)` - Do not let datasets return more than requested.